<?php
/**
 *
 * @category        pagemodule
 * @package         google reviews
 * @author          Ruud Eisinga - dev4me
 * @link			https://dev4me.com/modules-snippets/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.x
 * @platform        WBCE 1.3.x
 * @version         1.0
 * @lastmodified    Februari 6, 2024
 *
 */



if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
if(!file_exists( __DIR__ .'/languages/'.LANGUAGE.'.php')) {
	require_once( __DIR__ .'/languages/EN.php');
} else {
	require_once( __DIR__ .'/languages/'.LANGUAGE.'.php');
}
require_once( __DIR__ .'/functions.php');
global $table_mod, $table_data;
$table_mod = TABLE_PREFIX.'mod_gr_settings';
$table_data = TABLE_PREFIX.'mod_gr_data';

if($sql_result = $database->query("SELECT * FROM `$table_mod` WHERE `section_id` = '$section_id'")) {
	$settings = $sql_result->fetchRow();
	$refresh = time() - ($settings['cache_hours'] * 60 * 60);
	if($settings['last'] < $refresh) {  __updateReviews($settings, $section_id); }
	__showReviews($settings, $section_id);
}

